Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 179103 - v2 quota support is broken
Summary: v2 quota support is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-01-27 14:23 UTC by Bastien Nocera
Modified: 2014-08-31 23:28 UTC (History)
2 users (show)

Fixed In Version: RHBA-2006-0364
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:49:25 UTC
Target Upstream Version:


Attachments (Terms of Use)
samba-unbreak-v2-quota-support.patch (deleted)
2006-01-27 14:23 UTC, Bastien Nocera
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0364 normal SHIPPED_LIVE samba bug fix update 2006-07-19 18:56:00 UTC
Samba Project 3456 None None None Never

Description Bastien Nocera 2006-01-27 14:23:40 UTC
samba-3.0.9-1.3E.7

When using samba after having implemented quotas:
[2006/01/18 05:50:03, 3] lib/sysquotas.c:sys_get_quota(413)
 sys_get_vfs_quota() failed for mntpath[/test] bdev[/dev/VolGroup01/testlv]
qtype[2] id[10056]: Invalid argument
[2006/01/18 05:50:03, 3] smbd/reply.c:reply_dskattr(785)
 dskattr dfree=58104
[2006/01/18 05:50:03, 5] lib/util.c:show_msg(486)
[2006/01/18 05:50:03, 5] lib/util.c:show_msg(496)

To be able to support both quota v1 and v2, samba is defined its own constants
for the cmd part of quotactl()'s QCMD. However, the v2 constants in the system
headers and samba don't match.

 In source/include/samba_linux_quota.h:
#ifndef Q_V2_GETQUOTA
#define Q_V2_GETQUOTA  0x0D00
#endif #ifndef Q_V2_SETQUOTA
#define Q_V2_SETQUOTA  0x0E00
#endif

And in sys/quota.h:
# define Q_GETQUOTA 0x800007    /* get user quota structure */
# define Q_SETQUOTA 0x800008    /* set user quota structure */

Patch attached.

Comment 1 Bastien Nocera 2006-01-27 14:23:41 UTC
Created attachment 123778 [details]
samba-unbreak-v2-quota-support.patch

Comment 5 Bob Johnson 2006-04-11 16:31:44 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.

Comment 9 Red Hat Bugzilla 2006-07-20 14:49:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0364.html



Note You need to log in before you can comment on or make changes to this bug.